Subject: [PATCH] dmaengine: edma: Add dummy driver skeleton for edma3-tptc

From: [email-masked] (Tony Lindgren)
Date: Fri, 13 Nov 2015 06:54:53 -0800

* Vinod Koul <[email-masked]> [151104 08:38]:
> On Wed, Nov 04, 2015 at 10:33:27AM -0600, Felipe Balbi wrote:
> > Peter Ujfalusi <[email-masked]> writes:
> > 
> > > The eDMA3 TPTC does not need any software configuration, but it is a
> > > separate IP block in the SoC. In order the omap hwmod core to be able to
> > > handle the TPTC resources correctly in regards of PM we need to have a
> > > driver loaded for it.
> > > This patch will add a dummy driver skeleton without probe or remove
> > > callbacks provided.
> > >
> > > Signed-off-by: Peter Ujfalusi <[email-masked]>
> > > Reported-by: Olof Johansson <[email-masked]>
> > 
> > This fixes the problem I also reported on linux-omap [1]
> > 
> > Tested-by: Felipe Balbi <[email-masked]>
> > 
> > [1] http://marc.info/?l=linux-omap&m=144665429032014&w=2
> 
> Great, I was about to point you to this series, I will push this in -next
> now

Soungd good to me, thanks for fixing it up Peter.

Tony